import { EntityName } from './../../models/entity-name';
import { CurrentContext } from './../application.service';
declare type EntityType = {
    id?: string;
    uri?: string;
    entityName?: EntityName;
    [key: string]: unknown;
};
export declare class UriCompleteService {
    completeReturnedEntity(result: EntityType | EntityType[], ctx: CurrentContext): void;
    getUri(entityName: EntityName, id: string, ctx: CurrentContext): string;
    addUri(result: EntityType | EntityType[] | any, ctx: CurrentContext, baseUri?: string, objectUri?: string, deep?: number): void;
    protected getEntityUri(entityName: EntityName | string): string;
}
export {};
